# (Sunset) Fetch current stream health metrics for an active transcoder The GET /transcoders/{transcoder_id}/uptimes/{id}/metrics/current operation is sunset and no longer available. To retrieve metrics data for a live stream, use GET /analytics/ingest/live_streams/{id}. Endpoint: GET /transcoders/{transcoder_id}/uptimes/{id}/metrics/current Version: v1.11 ## Path parameters: - `transcoder_id` (string, required) The unique alphanumeric string that identifies the transcoder. - `id` (string, required) The unique alphanumeric string that identifies the uptime record. ## Query parameters: - `fields` (string) A comma-separated list of fields to return. ## Response 200 fields (application/json): - `current` (object, required) - `current.audio_codec` (object) - `current.audio_codec.status` (string) The status of the current key. Possible values are normal (everything is fine), warning (something may be misconfigured), and no_data (no data was returned, perhaps because the instance isn't running). Example: "normal" - `current.audio_codec.text` (string) A message related to the value and status of the current key. Usually blank unless there's a warning status. - `current.audio_codec.units` (string) The unit of the returned value, such as Kbps, bps, %, FPS, or GOP. - `current.audio_codec.value` (string) The value of the associated key. Example: "aac" - `current.bits_in_rate` (object) - `current.bits_out_rate` (object) - `current.bytes_in_rate` (object) - `current.bytes_out_rate` (object) - `current.configured_bytes_out_rate` (object) - `current.connected` (object) - `current.frame_size` (object) - `current.frame_rate` (object) - `current.height` (object) - `current.keyframe_interval` (object) - `current.stream_target_status_OUTPUTIDX_STREAMTARGETIDX` (object) - `current.unique_views` (object) The number of unique viewers in the last 5 minutes. > Note: This parameter only returns data for Fastly stream targets. - `current.video_codec` (object) - `current.video_codec.value` (string) The value of the associated key. Note: You might see avc1 or h264 returned interchangeably. Example: "h264" - `current.width` (object) - `limits` (object, required) Example: {"fields":["audio_codec","bits_in_rate","bits_out_rate","bytes_in_rate","bytes_out_rate","configured_bytes_out_rate","connected","frame_size","frame_rate","height","width","keyframe_interval","unique_views","video_codec","width","stream_target_status_OUTPUTIDX_STREAMTARGETIDX"]} - `limits.fields` (string, required) A comma-separated list of fields that were returned in the request. Example: ["audio_codec","bits_in_rate","bits_out_rate","bytes_in_rate","bytes_out_rate","configured_bytes_out_rate","connected","frame_size","frame_rate","height","width","keyframe_interval","unique_views","video_codec","width","stream_target_status_OUTPUTIDX_STREAMTARGETIDX"] ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)